export class ItemAlreadyExistsWixError extends Error {
    constructor(data = {}) {
        super('ItemAlreadyExists');
        this.httpCode = 409;
        this.statusCode = 'ALREADY_EXISTS';
        this.applicationCode = 'ITEM_ALREADY_EXISTS';
        this.name = 'ItemAlreadyExists';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.ItemAlreadyExistsError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'ItemAlreadyExists',
            applicationCode: 'ITEM_ALREADY_EXISTS',
        };
        this.data = data;
    }
}
/** @hidden */
ItemAlreadyExistsWixError.__type = 'wix_spi_error';
export class ItemNotFoundWixError extends Error {
    constructor(data = {}) {
        super('ItemNotFound');
        this.httpCode = 404;
        this.statusCode = 'NOT_FOUND';
        this.applicationCode = 'ITEM_NOT_FOUND';
        this.name = 'ItemNotFound';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.ItemNotFoundError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'ItemNotFound',
            applicationCode: 'ITEM_NOT_FOUND',
        };
        this.data = data;
    }
}
/** @hidden */
ItemNotFoundWixError.__type = 'wix_spi_error';
export class CollectionAlreadyExistsWixError extends Error {
    constructor(data = {}) {
        super('CollectionAlreadyExists');
        this.httpCode = 409;
        this.statusCode = 'ALREADY_EXISTS';
        this.applicationCode = 'COLLECTION_ALREADY_EXISTS';
        this.name = 'CollectionAlreadyExists';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.CollectionAlreadyExistsError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'CollectionAlreadyExists',
            applicationCode: 'COLLECTION_ALREADY_EXISTS',
        };
        this.data = data;
    }
}
/** @hidden */
CollectionAlreadyExistsWixError.__type = 'wix_spi_error';
export class CollectionNotFoundWixError extends Error {
    constructor(data = {}) {
        super('CollectionNotFound');
        this.httpCode = 404;
        this.statusCode = 'NOT_FOUND';
        this.applicationCode = 'COLLECTION_NOT_FOUND';
        this.name = 'CollectionNotFound';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.CollectionNotFoundError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'CollectionNotFound',
            applicationCode: 'COLLECTION_NOT_FOUND',
        };
        this.data = data;
    }
}
/** @hidden */
CollectionNotFoundWixError.__type = 'wix_spi_error';
export class ReferenceAlreadyExistsWixError extends Error {
    constructor(data = {}) {
        super('ReferenceAlreadyExists');
        this.httpCode = 409;
        this.statusCode = 'ALREADY_EXISTS';
        this.applicationCode = 'REFERENCE_ALREADY_EXISTS';
        this.name = 'ReferenceAlreadyExists';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.ReferenceAlreadyExistsError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'ReferenceAlreadyExists',
            applicationCode: 'REFERENCE_ALREADY_EXISTS',
        };
        this.data = data;
    }
}
/** @hidden */
ReferenceAlreadyExistsWixError.__type = 'wix_spi_error';
export class ReferenceNotFoundWixError extends Error {
    constructor(data = {}) {
        super('ReferenceNotFound');
        this.httpCode = 404;
        this.statusCode = 'NOT_FOUND';
        this.applicationCode = 'REFERENCE_NOT_FOUND';
        this.name = 'ReferenceNotFound';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.ReferenceNotFoundError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'ReferenceNotFound',
            applicationCode: 'REFERENCE_NOT_FOUND',
        };
        this.data = data;
    }
}
/** @hidden */
ReferenceNotFoundWixError.__type = 'wix_spi_error';
export class ValidationWixError extends Error {
    constructor(data = {}) {
        super('ValidationError');
        this.httpCode = 400;
        this.statusCode = 'INVALID_ARGUMENT';
        this.applicationCode = 'VALIDATION_ERROR';
        this.name = 'ValidationError';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.ValidationError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'ValidationError',
            applicationCode: 'VALIDATION_ERROR',
        };
        this.data = data;
    }
}
/** @hidden */
ValidationWixError.__type = 'wix_spi_error';
export class CollectionChangeNotSupportedWixError extends Error {
    constructor(data = {}) {
        super('CollectionChangeNotSupportedError');
        this.httpCode = 400;
        this.statusCode = 'INVALID_ARGUMENT';
        this.applicationCode = 'COLLECTION_CHANGE_NOT_SUPPORTED';
        this.name = 'CollectionChangeNotSupportedError';
        this.errorSchemaName =
            'com.wixpress.cloud.externaldatabasespi.v3.CollectionChangeNotSupported';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'CollectionChangeNotSupportedError',
            applicationCode: 'COLLECTION_CHANGE_NOT_SUPPORTED',
        };
        this.data = data;
    }
}
/** @hidden */
CollectionChangeNotSupportedWixError.__type = 'wix_spi_error';
export class BadRequestWixError extends Error {
    constructor() {
        super('BadRequestError');
        this.httpCode = 400;
        this.statusCode = 'INVALID_ARGUMENT';
        this.applicationCode = 'BAD_REQUEST';
        this.name = 'BadRequestError';
        this.errorType = 'SPI';
        this.spiErrorData = {
            name: 'BadRequestError',
            applicationCode: 'BAD_REQUEST',
        };
    }
}
/** @hidden */
BadRequestWixError.__type = 'wix_spi_error';
//# sourceMappingURL=service-plugins-error-classes.js.map